Aggregated Wallets Data

Credentials

No credentials are documented for this endpoint.

Overview

Using this method, you can retreive data regarding your wallet or wallets for a certain day.

You'll be able to get the following information:

Value Description
outgoing_amount The daily outgoing funds amount.
outgoing_count The daily outgoing transactions count.
ingoing_amount The daily ingoing funds amount.
ingoing_count The daily ingoing transactions count.
daily_withdrawal_amount The daily withdrawal amount.

Parameters

Name In Type Required Description
start_date query string no The start date of the query.
end_date query string no The end date of the query.
seller_payme_id query string no The specific MPL to be searched for.

Request body

Content type: application/json

Code samples

curl

curl -X GET 'https://sandbox.payme.io/api/funds-transfer/aggregated' \
  -H 'Content-Type: application/json' \
  --data-raw '{}'

Node.js

const response = await fetch("https://sandbox.payme.io/api/funds-transfer/aggregated", {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({}),
});

console.log(await response.text());

Python

import requests

response = requests.get(
    "https://sandbox.payme.io/api/funds-transfer/aggregated",
    json={},
)

print(response.text)

PHP

<?php

$body = <<<'BODY'
{}
BODY;

$ch = curl_init('https://sandbox.payme.io/api/funds-transfer/aggregated');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Responses

200 — OK (success)

Field Type Description
status_code integer
page integer
items_total integer
items_per_page integer
start_date string
end_date string
items array
items[].seller_payme_id string
items[].currency string
items[].date string
items[].outgoing_transaction_count integer
items[].outgoing_transaction_amount string
items[].ingoing_transaction_count integer
items[].ingoing_transaction_amount string
{
  "status_code": 0,
  "page": 1,
  "items_total": 1,
  "items_per_page": 1,
  "start_date": "2022-05-18",
  "end_date": "2022-05-18",
  "items": [
    {
      "seller_payme_id": "MPL15889-190416D9-G0PDISRL-GMWR1F49",
      "currency": "ILS",
      "date": "2022-05-18 23:30:10",
      "outgoing_transaction_count": 10,
      "outgoing_transaction_amount": "10002.12",
      "ingoing_transaction_count": 12,
      "ingoing_transaction_amount": "20000.12"
    }
  ]
}